# Gitea passthru scripts for Docker

The Docker image for Gitea instructs you to place a passthru script
at `/app/app/gitea` on the host. If you don't like having files in
odd locations on your host system, this isn't a great solution.

## passthru

This is a slightly modified version of the passthru Bash script from the
Docker image documentation. Since `passthru` lives in your project
directory now, and the original script passes `$0` as the executable
to run in the Docker image, it has been modified to always pass
`/app/gitea/gitea` instead.

## watchkeys

This Bash scripts runs as a daemon on your host and watches the
Gitea `git/.ssh` folder for changes to `authorized_keys`, which it
reads and modifies to point all the `command` directives at
the passthrough script instead of `/app/gitea/gitea` and then
writes to `.ssh/authorized_keys` in the Docker project folder,
which you will have configured as the home directory for your
`git` account.

## watchkeys.service

This is the `systemd` configuration file that launches the daemon.
Modify to taste and create a symlink to it in `/lib/systemd/system`.
